Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger
Interface SystemNamespace

All Superinterfaces:
  ThingsNamespace

    public interface SystemNamespace

extends ThingsNamespace

System namespace definitions.

Version:
  1.0

  Version History

      EPG - Initial - 10 AUG 05

Author:
  Erich P. Gatejen

Field Summary
`static java.lang.String` | `ATTR_ADDRESS`
`static java.lang.String` | `ATTR_ADDRESS_NETWORK`
`static java.lang.String` | `ATTR_CLEARANCE_ACTUAL`
`static java.lang.String` | `ATTR_CLEARANCE_REQUIRED`
`static java.lang.String` | `ATTR_DANGLE_CAUSE`
`static java.lang.String` | `ATTR_DANGLE_FILE`
`static java.lang.String` | `ATTR_PLATFORM_FS_PATH`
`static java.lang.String` | `ATTR_PLATFORM_FS_PATH_ABSOLUTE`
`static java.lang.String` | `ATTR_PROCESS_ID`
`static java.lang.String` | `ATTR_PROCESS_ID_ORGANIC`
`static java.lang.String` | `ATTR_SYSTEM_COMMAND_COMMANDER_ID`
`static java.lang.String` | `ATTR_SYSTEM_COMMAND_ID`
`static java.lang.String` | `ATTR_SYSTEM_COMMAND_INSTANCE_TYPE`
`static java.lang.String` | `ATTR_SYSTEM_COMMAND_NAME`
`static java.lang.String` | `ATTR_SYSTEM_COMMAND_NUMERIC`
`static java.lang.String` | `ATTR_SYSTEM_COMMAND_PARAMETER_NAME`
`static java.lang.String` | `ATTR_SYSTEM_COMMAND_RESPONSE_NAME`
`static java.lang.String` | `ATTR_SYSTEM_COMMAND_RESPONSE_STATE`
`static java.lang.String` | `ATTR_SYSTEM_COMMAND_RESPONSE_TRANSMISSION_RECEIPT`
`static java.lang.String` | `ATTR_SYSTEM_COMMAND_TEXT`
`static java.lang.String` | `ATTR_SYSTEM_ID_WHOAMI`
`static java.lang.String` | `ATTR_SYSTEM_ID_WHOAMI_CREATOR`
`static java.lang.String` | `ATTR_SYSTEM_ID_WHOAMI_FOR_A_LOGGER`
`static java.lang.String` | `ATTR_SYSTEM_OBJECT_BASE`
`static java.lang.String` | `ATTR_SYSTEM_OBJECT_NAME`
`static java.lang.String` | `ATTR_SYSTEM_OBJECT_NAME_ACTUAL`
`static java.lang.String` | `ATTR_SYSTEM_OPERATION_NAME`
`static java.lang.String` | `ATTR_SYSTEM_RECEIPT`
`static java.lang.String` | `ATTR_SYSTEM_RECEIPT_TEXT`
`static java.lang.String` | `ATTR_SYSTEM_RESOURCE_STATE`
`static java.lang.String` | `ATTR_SYSTEM_SERVICE_CLASS`
`static java.lang.String` | `ATTR_SYSTEM_SERVICE_NAME`
`static java.lang.String` | `ATTR_UNIVERSE_NAME`
`static java.lang.String` | `CONFIG_COMMAND_CHANNEL`
`static java.lang.String` | `CONFIG_COMMAND_CHANNEL_LOCAL_CLISERVICE`
`static java.lang.String` | `CONFIG_COMMAND_CHANNEL_SERVICE_COMMAND_LOCAL`

Fields inherited from interface things.common.ThingsNamespace
`ATTR_ACTUAL_STATE, ATTR_DATA_ARGUMENT, ATTR_DATA_ATTRIBUTE_NAME, ATTR_DATA_ATTRIBUTE_VALUE, ATTR_DATA_ATTRIBUTE_VALUE_COUNT, ATTR_DATA_CLASSIFICATION, ATTR_DATA_CLASSIFICATION_CHAR, ATTR_DATA_INDEX, ATTR_DATA_INDEX_BOUNDS, ATTR_DATA_INDEX_BOUNDS_END, ATTR_DATA_INDEX_BOUNDS_START, ATTR_DATA_INDEX_OFFSET, ATTR_DATA_RECEIPT, ATTR_DATA_RECEIPT_NOTE, ATTR_DATA_RECEIPT_STAMP, ATTR_DATA_RECEIPT_TYPE, ATTR_DATA_SIZE, ATTR_DATA_TARGET, ATTR_DATA_TYPE, ATTR_DATA_VALUE, ATTR_ERROR_COMPILATION, ATTR_ERROR_PROCESSING, ATTR_ID, ATTR_LINE_NUMBER, ATTR_LINE_NUMERIC, ATTR_LINE_NUMERIC_CAUSE, ATTR_LINE_VALUE, ATTR_MESSAGE, ATTR_METRIC_ABORT, ATTR_METRIC_CASES, ATTR_METRIC_COUNT, ATTR_METRIC_DIFFERENCE, ATTR_METRIC_EXCEPTION, ATTR_METRIC_FAIL, ATTR_METRIC_INCONCLUSIVE, ATTR_METRIC_MILLIS, ATTR_METRIC_PASS, ATTR_MODULE_NAME, ATTR_PARAMETER_HELP, ATTR_PARAMETER_ITEM_NUMBER, ATTR_PARAMETER_ITEM_NUMBER_EXPECTED, ATTR_PARAMETER_META, ATTR_PARAMETER_NAME, ATTR_PARAMETER_VALUE, ATTR_PLATFORM_CLASS, ATTR_PLATFORM_CLASS_ACTUAL, ATTR_PLATFORM_CLASS_PROPOSED, ATTR_PLATFORM_FILE_NAME, ATTR_PLATFORM_FILE_PATH, ATTR_PLATFORM_MESSAGE, ATTR_PLATFORM_MESSAGE_COMPLETE, ATTR_PLATFORM_MESSAGE_COMPLETE_ORIGINAL, ATTR_PLATFORM_MESSAGE_ORIGINAL, ATTR_PLATFORM_TRACE, ATTR_PROCESSING_HTTP_ACTION, ATTR_PROCESSING_HTTP_METHOD, ATTR_PROCESSING_HTTP_PAGE, ATTR_PROCESSING_HTTP_PAGE_LOCATION, ATTR_PROCESSING_HTTP_PATH, ATTR_PROPERTY_ENTRY, ATTR_PROPERTY_NAME, ATTR_PROPERTY_PATH, ATTR_PROPERTY_TRUNK_MODE, ATTR_PROPERTY_VALIDATION, ATTR_PROPERTY_VALUE, ATTR_REASON_NUMBER, ATTR_RETRIES, ATTR_SEQUENCE_NUMBER, ATTR_SEQUENCE_NUMBER_ACTUAL, ATTR_SEQUENCE_NUMBER_EXPECTED, ATTR_STATE, ATTR_STATE_VALUE, ATTR_THING_CLUSTER_NODE_NAME, ATTR_THING_NAME, ATTR_THING_NAME_ACTUAL, ATTR_THING_PROCESS_ID, ATTR_THING_PROPOSED, ATTR_THING_RESULT_DESCRIPTION, ATTR_THING_RESULT_NAME, ATTR_THING_RESULT_TYPE, ATTR_TRANSPORT_ADDRESS, ATTR_TRANSPORT_CLIENT_NAME, ATTR_TRANSPORT_CODE, ATTR_TRANSPORT_PORT, ATTR_TRANSPORT_SENT, ATTR_TRANSPORT_SENT_SIZE, ATTR_TRANSPORT_SENT_SIZE_ACTUAL, ATTR_TRANSPORT_SEQUENCE, ATTR_UNIVERSE_ID, ATTR_UNIVERSE_PATH, ATTR_UNIVERSE_UADDY, VALUE_OK`

Field Detail

### ATTR_PROCESS_ID

    static final java.lang.String ATTR_PROCESS_ID

See Also:
  Constant Field Values

### ATTR_PROCESS_ID_ORGANIC

    static final java.lang.String ATTR_PROCESS_ID_ORGANIC

See Also:
  Constant Field Values

### ATTR_CLEARANCE_REQUIRED

    static final java.lang.String ATTR_CLEARANCE_REQUIRED

See Also:
  Constant Field Values

### ATTR_CLEARANCE_ACTUAL

    static final java.lang.String ATTR_CLEARANCE_ACTUAL

See Also:
  Constant Field Values

### ATTR_SYSTEM_ID_WHOAMI

    static final java.lang.String ATTR_SYSTEM_ID_WHOAMI

See Also:
  Constant Field Values

### ATTR_SYSTEM_ID_WHOAMI_FOR_A_LOGGER

    static final java.lang.String ATTR_SYSTEM_ID_WHOAMI_FOR_A_LOGGER

See Also:
  Constant Field Values

### ATTR_SYSTEM_ID_WHOAMI_CREATOR

    static final java.lang.String ATTR_SYSTEM_ID_WHOAMI_CREATOR

See Also:
  Constant Field Values

### ATTR_SYSTEM_RECEIPT

    static final java.lang.String ATTR_SYSTEM_RECEIPT

See Also:
  Constant Field Values

### ATTR_SYSTEM_RECEIPT_TEXT

    static final java.lang.String ATTR_SYSTEM_RECEIPT_TEXT

See Also:
  Constant Field Values

### ATTR_SYSTEM_OPERATION_NAME

    static final java.lang.String ATTR_SYSTEM_OPERATION_NAME

See Also:
  Constant Field Values

### ATTR_SYSTEM_SERVICE_NAME

    static final java.lang.String ATTR_SYSTEM_SERVICE_NAME

See Also:
  Constant Field Values

### ATTR_SYSTEM_SERVICE_CLASS

    static final java.lang.String ATTR_SYSTEM_SERVICE_CLASS

See Also:
  Constant Field Values

### ATTR_SYSTEM_OBJECT_NAME

    static final java.lang.String ATTR_SYSTEM_OBJECT_NAME

See Also:
  Constant Field Values

### ATTR_SYSTEM_OBJECT_NAME_ACTUAL

    static final java.lang.String ATTR_SYSTEM_OBJECT_NAME_ACTUAL

See Also:
  Constant Field Values

### ATTR_SYSTEM_OBJECT_BASE

    static final java.lang.String ATTR_SYSTEM_OBJECT_BASE

See Also:
  Constant Field Values

### ATTR_SYSTEM_COMMAND_TEXT

    static final java.lang.String ATTR_SYSTEM_COMMAND_TEXT

See Also:
  Constant Field Values

### ATTR_SYSTEM_COMMAND_NAME

    static final java.lang.String ATTR_SYSTEM_COMMAND_NAME

See Also:
  Constant Field Values

### ATTR_SYSTEM_COMMAND_ID

    static final java.lang.String ATTR_SYSTEM_COMMAND_ID

See Also:
  Constant Field Values

### ATTR_SYSTEM_COMMAND_PARAMETER_NAME

    static final java.lang.String ATTR_SYSTEM_COMMAND_PARAMETER_NAME

See Also:
  Constant Field Values

### ATTR_SYSTEM_COMMAND_RESPONSE_NAME

    static final java.lang.String ATTR_SYSTEM_COMMAND_RESPONSE_NAME

See Also:
  Constant Field Values

### ATTR_SYSTEM_COMMAND_NUMERIC

    static final java.lang.String ATTR_SYSTEM_COMMAND_NUMERIC

See Also:
  Constant Field Values

### ATTR_SYSTEM_COMMAND_RESPONSE_STATE

    static final java.lang.String ATTR_SYSTEM_COMMAND_RESPONSE_STATE

See Also:
  Constant Field Values

### ATTR_SYSTEM_COMMAND_RESPONSE_TRANSMISSION_RECEIPT

    static final java.lang.String ATTR_SYSTEM_COMMAND_RESPONSE_TRANSMISSION_RECEIPT

See Also:
  Constant Field Values

### ATTR_SYSTEM_COMMAND_INSTANCE_TYPE

    static final java.lang.String ATTR_SYSTEM_COMMAND_INSTANCE_TYPE

See Also:
  Constant Field Values

### ATTR_SYSTEM_COMMAND_COMMANDER_ID

    static final java.lang.String ATTR_SYSTEM_COMMAND_COMMANDER_ID

See Also:
  Constant Field Values

### ATTR_SYSTEM_RESOURCE_STATE

    static final java.lang.String ATTR_SYSTEM_RESOURCE_STATE

See Also:
  Constant Field Values

### ATTR_PLATFORM_FS_PATH

    static final java.lang.String ATTR_PLATFORM_FS_PATH

See Also:
  Constant Field Values

### ATTR_PLATFORM_FS_PATH_ABSOLUTE

    static final java.lang.String ATTR_PLATFORM_FS_PATH_ABSOLUTE

See Also:
  Constant Field Values

### ATTR_UNIVERSE_NAME

    static final java.lang.String ATTR_UNIVERSE_NAME

See Also:
  Constant Field Values

### ATTR_DANGLE_FILE

    static final java.lang.String ATTR_DANGLE_FILE

See Also:
  Constant Field Values

### ATTR_DANGLE_CAUSE

    static final java.lang.String ATTR_DANGLE_CAUSE

See Also:
  Constant Field Values

### ATTR_ADDRESS

    static final java.lang.String ATTR_ADDRESS

See Also:
  Constant Field Values

### ATTR_ADDRESS_NETWORK

    static final java.lang.String ATTR_ADDRESS_NETWORK

See Also:
  Constant Field Values

### CONFIG_COMMAND_CHANNEL

    static final java.lang.String CONFIG_COMMAND_CHANNEL

See Also:
  Constant Field Values

### CONFIG_COMMAND_CHANNEL_SERVICE_COMMAND_LOCAL

    static final java.lang.String CONFIG_COMMAND_CHANNEL_SERVICE_COMMAND_LOCAL

See Also:
  Constant Field Values

### CONFIG_COMMAND_CHANNEL_LOCAL_CLISERVICE

    static final java.lang.String CONFIG_COMMAND_CHANNEL_LOCAL_CLISERVICE

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.